Bug 114200 - pango breaks anaconda?
Summary: pango breaks anaconda?
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-01-23 22:04 UTC by Mike McLean
Modified: 2007-11-30 22:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-28 18:20:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mike McLean 2004-01-23 22:04:49 UTC
* FC2-re0123.1

Sometime early in stage2, the install dies and leaves a bunch of pango
spew on the screen. The last line in anaconda.log was
* running ['/usr/X11R6/bin/setxkbmap', '-layout', 'us', '-model',
'pc105', '-option', '']". 

Here is a partial copy of the VC1 spew:

nt will return positive values in Python 2.4 and up
  if (magic1 != 0x8eade801 or info[1]):

** (anaconda:30): WARNING **: No builtin or dynamically loaded modules
were found. Pango will not work correctly. This probably means 
there was an error in the creation of:
  '/etc/pango/pango.modules'
You may be able to recreate this file by running pango-querymodules.

(anaconda:130): Glib-GObject-CRITICAL **: file gobject.c: line 1561
(g_object_ref): assertion `G_IS_OBJECT (object)' failed

(anaconda:130): Glib-GObject-CRITICAL **: file gobject.c: line 1561
(g_object_ref): assertion `G_IS_OBJECT (object)' failed

(anaconda:130): Glib-GObject-CRITICAL **: file gobject.c: line 1561
(g_object_ref): assertion `G_IS_OBJECT (object)' failed

** (anaconda:130): CRITICAL **: file pango-engine.c: line 68
(_pango_engine_shape_shape): assertion `PANGO_IS_FONT (font)' failed

** ERROR **: file shape.c: line 75 (pango_shape): assertion failed:
(glyphs->num_glyphs > 0)
aborting...
install exited abnormally

Comment 2 Mike McLean 2004-01-23 22:23:16 UTC
Observed (so far) with
* russian ftp gui
* german nfs gui

The install dies a few seconds after the initial GUI Fedora splash
screen appears.


Comment 3 Owen Taylor 2004-01-23 22:27:21 UTC
I think this is a problem that Jeremy is working on fixing with
the scripts to generate the install image not handling new
versions of Pango.

Comment 4 Jeremy Katz 2004-01-24 00:21:51 UTC
Fixed in CVS and built into -HEAD

Comment 5 Mike McLean 2004-01-28 18:20:08 UTC
closing


Note You need to log in before you can comment on or make changes to this bug.